@echo off

for /F "eol=; tokens=1* delims==" %%i in (config.txt) do set %%i=%%j

set Credentials=-U %Username% -P %Password%
if .%Username%.==.. set Credentials=-E
if not .%Crypt%.==.. set Credentials=%Credentials% %Crypt%

echo.
echo The www.excel-sql-server.com demo database will be created
echo.
echo Server:      %Server%
echo Database:    %Database%
echo Credentials: %Credentials%
echo.
choice /C yn /M "Continue?"

if errorlevel 2 goto CANCELED

set log=create.log

sqlcmd -S %Server% -d Master     %Credentials% -i 01-Create-Master.sql   > %log%
sqlcmd -S %Server% -d %Database% %Credentials% -i 02-Create-Database.sql >> %log%

type %log%

goto END

:CANCELED
echo Action canceled.

:END
